%define kdeprefix /usr
%define version 1.1.1pre2
%define kderelease 2
%define sourcedir stable/1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename kdebase
%define pamservice kde
Name: %{kdename}
Summary: K Desktop Environment - core files
Version: %{version}
Release: %{kderelease}
Serial: 1
#Source: ftp://ftp.kde.org:/pub/kde/{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Source1: KDE.session.gnome
Patch: kdebase-1.1-redhat.patch
Group: User Interface/Desktops
Copyright: GPL/Artistic
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
Core applications for the K Desktop Environment.
Included are:  kdm (replacement for xdm), kwm (window manager), kfm
(filemanager, web browser, ftp client, ...), konsole (xterm replacement),
kpanel (application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), plus other KDE
components (kcheckpass, kikbd, kvt, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit, kappfinder).

PAM password authentication is supported via PAM service: kde.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kdebase-%{version}
%patch -p1 -b .redhat

%build
export KDEDIR=%{kdeprefix}
./configure  \
	--prefix=%{kdeprefix} \
	--with-pam=%{pamservice}  \
	--with-install-root=$RPM_BUILD_ROOT  \
	--without-gl
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make RUN_KAPPFINDER=no install-strip

# remove SUID bit from konsole_grantpty
chmod 0755 $RPM_BUILD_ROOT%{kdeprefix}/bin/konsole_grantpty

# remove duplicate icons
rm -f $RPM_BUILD_ROOT%{kdeprefix}/share/icons/mini/mini.*
rm -f $RPM_BUILD_ROOT%{kdeprefix}/share/icons/bell.xpm

#install pam configuration file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 0644 $RPM_BUILD_DIR/kdebase-%{version}/kde.pamd \
	$RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

# fix kappfinder script for relocatability
cd $RPM_BUILD_ROOT%{kdeprefix}/bin
cp kappfinder kappfinder.temp
sed -e 's.%{kdeprefix}.\$KDEDIR.g' kappfinder.temp > kappfinder
rm -f kappfinder.temp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

# install gdm session support
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 $RPM_SOURCE_DIR/KDE.session.gnome \
	$RPM_BUILD_ROOT/etc/X11/gdm/Sessions/KDE

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.list.%{kdename}

%files -f ../file.list.%{kdename} 
/etc/X11/gdm/Sessions/KDE

%changelog
* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
